FrankKamenetskii71SodiumCorrection
Date: 2014-08-08

melting.ionCorrection.sodiumCorrections

## Class FrankKamenetskii71SodiumCorrection

- java.lang.Object
- - melting.ionCorrection.sodiumCorrections.FrankKamenetskii71SodiumCorrection

- All Implemented Interfaces:
    CorrectionMethod, NamedMethod

      public class FrankKamenetskii71SodiumCorrection
      extends java.lang.Object
      implements CorrectionMethod, NamedMethod

  This class represents the sodium correction model kam71. It implements the CorrectionMethod interface. Frank-Kamenetskii, M. D. (1971) Simplification of the empirical relationship between melting temperature of DNA, its GC content and concentration of sodium ions in solution, Biopolymers 10, 2623-2624.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrankKamenetskii71SodiumCorrection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThermoResult` | `correctMeltingResults(Environment environment)` This method is called to correct the computed melting temperature.
    `java.lang.String` | `getName()` Gets the full name of the method.
    `boolean` | `isApplicable(Environment environment)` Check if the environment chosen by the user is a applicable with the correction model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FrankKamenetskii71SodiumCorrection

          public FrankKamenetskii71SodiumCorrection()

  - ### Method Detail

    - #### isApplicable

          public boolean isApplicable(Environment environment)

      Description copied from interface: `CorrectionMethod`
      Check if the environment chosen by the user is a applicable with the correction model.
      Specified by:
        `isApplicable` in interface `CorrectionMethod`
      Returns:
        false if the correction method can't be used with the Environment. If the environment can make the results less reliable, a warning message will appear.

    - #### correctMeltingResults

          public ThermoResult correctMeltingResults(Environment environment)

      Description copied from interface: `CorrectionMethod`
      This method is called to correct the computed melting temperature.
      Specified by:
        `correctMeltingResults` in interface `CorrectionMethod`
      Returns:
        ThermoResult which contains the corrected results (enthalpy, entropy and melting temperature).

    - #### getName

          public java.lang.String getName()

      Gets the full name of the method.
      Specified by:
        `getName` in interface `NamedMethod`
      Returns:
        The full name of the method.